MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032524Open CASCADE[OCCT] OCCT:Data Exchangepublic2021-08-10 17:172021-08-14 14:01
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032524: Data Exchange, RWGltf_CafWriter - avoid writing translucent metallic materials
DescriptionRWGltf_GltfMaterialMap::DefineMaterial() by default creates a material with 100% metallic factor and sets transparency from XCAFPrs_Style.
It is desired to reset metallic factor in case of translucent material.
Steps To Reproduce
pload OCAF XDE VISUALIZATION MODELING
NewDocument D1 BinXCAF
box b 1 1 1
explode b e
explode b f
XAddShape D1 b
XSetColor D1 b_1 RED s
XSetColor D1 b_2 YELLOW 0.3 s
XSetColor D1 b_11 WHITE 0.2 c
XSetColor D1 b_10 CYAN c
XAddColor D1 0.5 0.5 1 0.1

vinit v1/v1
vrenderparams -shadingModel PBR
XDisplay -dispMode 1 D1
vfit
# OK - transparency preserved

WriteGltf D1 test.glb
ReadGltf D2 test.glb
vinit v2/v1
vrenderparams -shadingModel PBR
XDisplay -dispMode 1 D2
vfit
# KO - transparency is lost due to metallic=1.0


Existing case:
test de_mesh obj_read ship_boat 1

Result: windows are not transparent in PBR view.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0103114)
git (administrator)
2021-08-10 17:24

Branch CR32524 has been created by kgv.

SHA-1: 6e28335c866c2f598918488bf9a80c03dd28ae7d


Detailed log of new commits:

Author: kgv
Date: Tue Aug 10 17:23:44 2021 +0300

    0032524: Data Exchange, RWGltf_CafWriter - avoid writing translucent metallic materials
    
    RWGltf_GltfMaterialMap::DefineMaterial() and XCAFDoc_VisMaterial::ConvertToPbrMaterial()
    now reset matallic factor to 0.0f in case of transparent color.
(0103116)
kgv (developer)
2021-08-10 19:26

Patch is ready for review.
- OCCT: branch CR32524.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32524-master-KGV/ [^]
(0103126)
osa (developer)
2021-08-11 10:13

The patch was reviewed
(0103199)
bugmaster (administrator)
2021-08-14 13:22

Combination -
OCCT branch : IR-2021-08-13
master SHA - 7b5f784419eb9fd9a1d3dc69eff89d3e720d6e97
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-13 SHA - 8dc957c07e49e8db2f1330ec126160fe1c7eb89d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17368.20000000041 / 17370.70000000038 [-0.01%]
Products
Total CPU difference: 11492.330000000085 / 11466.840000000084 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 19143.8125 / 19180.875 [-0.19%]
Products
Total CPU difference: 12803.65625 / 12837.4375 [-0.26%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103214)
git (administrator)
2021-08-14 14:01

Branch CR32524 has been deleted by mnt.

SHA-1: 6e28335c866c2f598918488bf9a80c03dd28ae7d

- Related Changesets
occt: master aeef9e2c
Timestamp: 2021-08-10 14:23:44
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032524: Data Exchange, RWGltf_CafWriter - avoid writing translucent metallic materials

RWGltf_GltfMaterialMap::DefineMaterial() and XCAFDoc_VisMaterial::ConvertToPbrMaterial()
now reset matallic factor to 0.0f in case of transparent color.
mod - src/RWGltf/RWGltf_GltfMaterialMap.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_VisMaterial.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-08-10 17:17 kgv New Issue
2021-08-10 17:17 kgv Assigned To => kgv
2021-08-10 17:24 git Note Added: 0103114
2021-08-10 17:33 kgv Steps to Reproduce Updated View Revisions
2021-08-10 19:26 kgv Note Added: 0103116
2021-08-10 19:26 kgv Assigned To kgv => osa
2021-08-10 19:26 kgv Status new => resolved
2021-08-10 19:26 kgv Steps to Reproduce Updated View Revisions
2021-08-11 10:13 osa Note Added: 0103126
2021-08-11 10:13 osa Assigned To osa => bugmaster
2021-08-11 10:13 osa Status resolved => reviewed
2021-08-14 13:22 bugmaster Note Added: 0103199
2021-08-14 13:22 bugmaster Status reviewed => tested
2021-08-14 13:25 bugmaster Test case number => Not required
2021-08-14 13:31 bugmaster Changeset attached => occt master aeef9e2c
2021-08-14 13:31 bugmaster Status tested => verified
2021-08-14 13:31 bugmaster Resolution open => fixed
2021-08-14 14:01 git Note Added: 0103214


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker